Disbursement

This API is used to initiate a disbursement.

  • A response code 2021800 indicates that the request is currently being processed.

  • Do not mark the transaction as failed when a 5XX18XX response code is received. This response code indicates a temporary system error, and the final transaction status is not available at the time of the response.

    • Wait for the callback for up to 30 minutes
    • When no callback is received within 30 minutes, call the Status Inqury API to obtain the transaction status.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Unique identifier used to identify the beneficiary's bank.

string
required

Beneficiary account number.

For e-wallet transfers (GoPay, OVO, ShopeePay), use the customer’s registered phone number in the e-wallet, with prefix 08 (example: 08123456789).

string
required

Name of the beneficiary account returned upon successful account validation.

string
required

Unique 32-character alphanumeric string generated by the merchant. Used as the transaction identifier and must be unique for each transaction.

string
required

Merchant unique identifier (merchant code) registered with Ayoconnect.

date-time
required

Date and time of the disbursement. Must follow ISO 8601/RFC 3339 format (example: 2026-02-14T13:37:10+07:00).

string
required

Unique identifier obtained from a successful Account Inquiry. This value is required in the Disbursement request.

amount
object
required

Information about the amount to be disbursed to the beneficiary.

additionalInfo
object

Additional metadata or remarks included in the request. Supports up to 4 fields: notes, additionalInfo1, additionalInfo2, additionalInfo3.

Headers
string
required
length between 16 and 16

Content type accepted by the service. Only 'application/json' is supported.

string
required
length between 35 and 35

Authorization header. Only 'Bearer' authentication is supported.

string
required

Represents the customer access token (accessToken field) obtained from the B2B2C Token API. The value must start with "Bearer " followed by the B2B2C Token.

string
required
length between 32 and 32

Unique identifier (32 alphanumeric characters) to identify the request. It must be unique per request and can't be reused in subsequent requests.

If the same value is used in another request, it will be considered as a duplicated request, and consequently rejected.

string
required
length between 6 and 6

Unique identifier (6 alphanumeric characters) to identify the particular merchant. It must be unique per merchant.

string
required

Geographical coordinates of the end customer location

string
required

Geographical coordinates of the end customer location.

string
required
length between 24 and 27

Client's current local time in yyyy-MM-ddTHH:mm:ss.SSSTZD format.

string
required

Integrity checking. Asymmetric Signature: SHA256withRSA(Private_Key, stringToSign)

stringToSign = client_ID + "|" + X-TIMESTAMP

string
required

Public IP Address of the end customer.

string
required
length between 5 and 5

Numeric ID that shows which client or application sent the request. It is used for tracking and reporting.

Responses

Callback
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json